package com.wombat.aliyun_oss.model

class CredentialData constructor(
    val endpoint: String,
    val accessKeyId: String,
    val secretKeyId: String,
    val securityToken: String?
) {
    override fun equals(other: Any?): Boolean {
        if (other is CredentialData) {
            return endpoint == other.endpoint &&
                    accessKeyId == other.accessKeyId &&
                    secretKeyId == other.secretKeyId &&
                    securityToken == other.securityToken
        }
        return false
    }
}